/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;

// wrapper for java.awt.Insets because it doesn't have a default constructor
public class Insets {
    private attribute awtinsets: <<java.awt.Insets>>;
    public attribute top: Number;
    public attribute left: Number;
    public attribute bottom: Number;
    public attribute right: Number;
}

trigger on (new Insets) {
    awtinsets = new <<java.awt.Insets>>(0,0,0,0);
}

trigger on (Insets.top = value) {
    awtinsets.top = value;
}

trigger on (Insets.left = value) {
    awtinsets.left = value;
}

trigger on (Insets.right = value) {
    awtinsets.right = value;
}

trigger on (Insets.bottom = value) {
    awtinsets.bottom = value;
}
