/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;

public class KeyModifier {
    public attribute id: Number;
}

SHIFT:KeyModifier = KeyModifier {
    id: <<java.awt.event.InputEvent>>.SHIFT_MASK
};

CTRL:KeyModifier = KeyModifier {
    id: <<java.awt.event.InputEvent>>.CTRL_MASK
};

CONTROL:KeyModifier = KeyModifier {
    id: <<java.awt.event.InputEvent>>.CTRL_MASK
};

META:KeyModifier = KeyModifier {
    id: <<java.awt.event.InputEvent>>.META_MASK
};

ALT:KeyModifier = KeyModifier {
    id: <<java.awt.event.InputEvent>>.ALT_MASK
};

COMMAND:KeyModifier = KeyModifier {
    var isMac = <<java.lang.System>>.getProperty("os.name").toLowerCase().contains("mac")
    id: if isMac then <<java.awt.event.InputEvent>>.META_MASK else <<java.awt.event.InputEvent>>.CTRL_MASK
};
