/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;

public class MouseEvent {
    public attribute modifiers: KeyModifier*;
    public attribute clickCount: Number;
    public attribute button: Number;
    public attribute x: Number;
    public attribute y: Number;
    public function isControlDown():Boolean;
    public function isAltDown():Boolean;
    public function isShiftDown():Boolean;
    public function isMetaDown():Boolean;
    public function isPopupTrigger():Boolean;
    public attribute source: <<java.awt.event.MouseEvent>>;
}

function MouseEvent.isControlDown() {
    return CTRL:KeyModifier in modifiers;
}

function MouseEvent.isShiftDown() {
    return SHIFT:KeyModifier in modifiers;
}

function MouseEvent.isMetaDown() {
    return META:KeyModifier in modifiers;
}

function MouseEvent.isAltDown() {
    return ALT:KeyModifier in modifiers;
}

function MouseEvent.isPopupTrigger() {
    return source.isPopupTrigger();
}
