/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.filter;
import javafx.ui.filter.Filter;
import com.jhlabs.image.BrushedMetalFilter as JHBrushedMetalFilter;


public class BrushedMetal extends Filter {
    protected attribute brushedMetalFilter: JHBrushedMetalFilter;
    public attribute monochrome: Boolean;
}

operation BrushedMetal.createFilter() {
    brushedMetalFilter = new JHBrushedMetalFilter();
    brushedMetalFilter.setMonochrome(monochrome);
    return brushedMetalFilter;
}
