/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.filter;
import javafx.ui.filter.Filter;
import com.jhlabs.image.MotionBlurFilter as JHMotionBlurFilter;


public class MotionBlur extends Filter {
    protected attribute motionBlurFilter: JHMotionBlurFilter;
    public attribute distance: Number;
    
}

operation MotionBlur.createFilter() {
    motionBlurFilter = new JHMotionBlurFilter();
    motionBlurFilter.setDistance(distance);
    return motionBlurFilter;
}
