/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.filter;
import javafx.ui.filter.Filter;
import com.jhlabs.image.NoiseFilter as JHNoiseFilter;

public class Noise extends Filter {
    protected attribute noiseFilter: JHNoiseFilter;
    public attribute distribution: Number;
    public attribute monochrome: Boolean;
}

operation Noise.createFilter() {
    noiseFilter = new JHNoiseFilter();
    noiseFilter.setDistribution(distribution);
    noiseFilter.setMonochrome(monochrome);
    return noiseFilter;
}
