/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import javafx.ui.Border;
import javafx.ui.BevelType;


public class BevelBorder extends Border {
    public attribute style: BevelType;
    public attribute highlight: Color;
    public attribute shadow: Color;
    public attribute innerHighlight: Color?;
    public attribute innerShadow: Color?;
}

operation BevelBorder.getBorder() {
    return new <<javax.swing.border.BevelBorder>>(style.id,
                                                  highlight.getColor(),
                                                  innerHighlight.getColor(),
                                                  shadow.getColor(),
                                                  innerShadow.getColor());
}
