/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import javafx.ui.MenuItem;


public class CheckBoxMenuItem extends MenuItem {
    private attribute jcheckboxmenuitem:<<javax.swing.JCheckBoxMenuItem>>;

    public attribute selected: Boolean;
    public attribute onChange:function(newValue:Boolean);
}

operation CheckBoxMenuItem.createMenuItem() {
    jcheckboxmenuitem = new <<javax.swing.JCheckBoxMenuItem>>();
    var self = this;
    jcheckboxmenuitem.setSelected(selected);
    jcheckboxmenuitem.addChangeListener(new <<javax.swing.event.ChangeListener>>() {
                                            operation stateChanged(e) {
                                                self.selected = self.jcheckboxmenuitem.isSelected();
                                            }
                                        });
    return jcheckboxmenuitem;
}

trigger on (CheckBoxMenuItem.selected = value) {
    (this.onChange)(value);
}
