/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import javafx.ui.ComboBox;

public class ComboBoxCell {
    protected attribute combobox:ComboBox;
    public attribute value:*;
    public attribute text: String;
    public attribute toolTipText: String?;
}

trigger on (ComboBoxCell.text = value) {
    if (combobox <> null) {
        var e:<<javax.swing.event.ListDataEvent>>;
        var i = select indexof x from x in combobox.cells where x == this;
        e = new <<javax.swing.event.ListDataEvent>>(this, e.CONTENTS_CHANGED,
                                                    i, i);
        for (j in combobox.listeners) {
            j.contentsChanged(e);
        }
    }
}
