package javafx.ui;
import java.awt.Dimension as AWTDimension;

public class Dimension {
   private attribute awtDimension: AWTDimension?;
   public attribute width: Number;
   public attribute height: Number;
   public operation Dimension(width:Number, height:Number);
   public function getDimension(): AWTDimension;
}

attribute Dimension.awtDimension = new AWTDimension(0, 0);

operation Dimension.Dimension(w:Number, h:Number) {
   this.width = w;
   this.height = h;
}

function Dimension.getDimension() = awtDimension;

trigger on Dimension.width = newValue {
   awtDimension = new AWTDimension(width, height);
}

trigger on Dimension.width = newValue {
   awtDimension = new AWTDimension(width, height);
}