/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import javafx.ui.Border;

public class EtchedBorder extends Border {
    public attribute style: EtchType;
    public attribute highlight: Color?;
    public attribute shadow: Color?;
}

operation EtchedBorder.getBorder() {
    return new <<javax.swing.border.EtchedBorder>>(style.id,
                                                   highlight.getColor(),
                                                   shadow.getColor());
}
