/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
/**
 * A small fixed size picture, typically used to decorate components.
 * Encapsulates javax.swing.Icon.
 *
 */

public class Icon {
    protected attribute icon: <<javax.swing.Icon>>;
    public operation getImage(): <<java.awt.Image>>;
    public operation getIcon(): <<javax.swing.Icon>>;
    protected operation createIcon(): <<javax.swing.Icon>>;
}


operation Icon.getIcon() {
    if (icon == null) {
        icon = this.createIcon();
    }
    return icon;
}

