/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import java.net.URL;

public class ImageArchive {
    public attribute baseURL: String?;
    public attribute url: String;
    public function getImage(imagePath:String);
}

function ImageArchive.getImage(imagePath:String) {
    var base = if baseURL == null 
               then new URL(this.url) 
               else new URL(new URL(baseURL), url);
    var imageUrl = new URL(base, imagePath);
    return Image { url: bind "{imageUrl}" };
}
