/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui;
import javafx.ui.Border;


public class MatteBorder extends Border {
    public attribute top: Number;
    public attribute left: Number;
    public attribute bottom: Number;
    public attribute right: Number;
    public attribute matteColor: Color?;
    public attribute tileIcon: Icon?;
}

operation MatteBorder.getBorder() {
    if (matteColor == null) {
        return new <<javax.swing.border.MatteBorder>>(top,
                                                      left,
                                                      bottom,
                                                      right,
                                                      tileIcon.getIcon());
    } else {
        return new <<javax.swing.border.MatteBorder>>(top,
                                                      left,
                                                      bottom,
                                                      right,
                                                      matteColor.getColor());
    }
}
