/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.canvas;
import javafx.ui.Icon;
import javafx.ui.Canvas;

public class CanvasIcon extends Icon {

    private attribute canvas: Canvas;

    public attribute content: Node*;
}

attribute CanvasIcon.canvas = Canvas {content: bind content};


operation CanvasIcon.getIcon() {
    canvas.getComponent();
    return canvas.zcanvas.toIcon();
}

operation CanvasIcon.getImage() {
    canvas.getComponent();
    var im = canvas.zcanvas.getIconImage();        
    return im;
}
