/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.canvas;
import java.awt.Dimension;

public class CanvasViewport {
    public readonly attribute currentHeight: Number;
    public readonly attribute currentWidth: Number;
    public readonly attribute currentSize: Dimension;
    public operation setSize(w:Number, h:Number);
}

operation CanvasViewport.setSize(w:Number, h:Number) {
    currentSize = new Dimension(w, h);
}

attribute CanvasViewport.currentSize = new Dimension(0, 0);

trigger on CanvasViewport.currentSize = value {
    currentWidth = value.width;
    currentHeight = value.height;
}
