/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.canvas;
import javafx.ui.canvas.Area;
import java.awt.geom.Area as JArea;

/**
 * Area operation that returns a shape consisting of the combined area of <code>shape1</code> and <code>shape1</code> minus their intersection.
 */
public class XOR extends Area {
}

operation XOR.performOp(area1:JArea, area2:JArea) {
    area1.exclusiveOr(area2);
}
