/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.filter;
import javafx.ui.filter.Filter;
import java.awt.image.ConvolveOp;
import java.awt.image.Kernel;

public class Convolve extends Filter {
    public attribute convolveOp: ConvolveOp;
    public attribute width: Integer;
    public attribute height: Integer;
    public attribute data: Number*;
}

operation Convolve.createFilter() {
    if (convolveOp == null) {
        var kernel = new Kernel(width, height, data);
        convolveOp = new ConvolveOp(kernel);
    }
    return convolveOp;
}
