/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.filter;
import java.awt.image.BufferedImageOp;

public class Filter {
    protected attribute bufferedImageOp: BufferedImageOp;
    public operation getFilter(): BufferedImageOp;
    protected operation createFilter(): BufferedImageOp;
    ...
}

operation Filter.getFilter() {
    if (bufferedImageOp == null) {
        bufferedImageOp = this.createFilter();
    }
    return bufferedImageOp;
}
