/*
 *  $Id$
 * 
 *  Copyright 2007 Sun Microsystems, Inc. All rights reserved.
 *  SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package javafx.ui.filter;
import com.jhlabs.image.LightFilter$Light as JHLight;
import java.lang.Math;

public class Light {
    protected attribute jh: JHLight;
    public attribute azimuth: Number;
    public attribute elevation: Number;
    public attribute intensity: Number;
    public operation getLight(): JHLight;
    protected operation getType(): Integer;
}

attribute Light.azimuth = Math.PI/100;
attribute Light.elevation = 0.5235987755982988;
attribute Light.intensity = 1;

operation Light.getLight() {
    if (jh == null) {
        jh = new JHLight(azimuth, elevation, intensity);
    }
    return jh;
}
